Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.impl
Class SimpleMetrics

    java.lang.Object
      org.apache.muse.core.AbstractCapability
          org.apache.muse.ws.resource.impl.AbstractWsResourceCapability
              org.apache.muse.ws.dm.muws.impl.AbstractManageabilityCapability
                  org.apache.muse.ws.dm.muws.impl.SimpleMetrics

All Implemented Interfaces:
  Capability, Initialization, InitializationParameters, ManageabilityCapability, Metrics, Shutdown, WsResourceCapability, org.apache.muse.ws.resource.WsResourceCapabilityProperties

public class SimpleMetrics
extends AbstractManageabilityCapability
implements Metrics

SimpleMetrics is Muse's default implementation of the WSDM Metrics capability. It uses the WS-RP and WS-RMD implementations in Muse to collect metric metadata and expose it to WS-RP clients without requiring users to treat metric and non-metric properties differently in their code. Metrics that are defined in a resource's RMD have various property change listeners and approvers set up for them so that all metadata is kept up-to-date.

Author:
  Dan Jemiolo (danj)

Field Summary

Fields inherited from interface org.apache.muse.ws.dm.muws.Metrics
`PROPERTIES`

Constructor Summary
`SimpleMetrics()`

Method Summary
`java.util.Date` | `getCurrentTime()`
`Metric` | `getMetric(QName propertyQName)`
`QName[]` | `getPropertyNames()` Concrete capability classes that define properties MUST override this method and provide the names of the properties.
`void` | `initialize()` AbstractWsResourceCapability continues the initialization process by inspecting the concrete class to find all of the getters (and, if applicable, setters) for its resource properties. It then registers itself with the resource's WSRP collection so that read and write requests for its properties are delegated to it. AbstractWsResourceCapability continues the initialization process by inspecting the concrete class to find all of the getters (and, if applicable, setters) for its resource properties.
`void` | `shutdown()`

Methods inherited from class org.apache.muse.ws.dm.muws.impl.AbstractManageabilityCapability
`initializeCompleted`

Methods inherited from class org.apache.muse.ws.resource.impl.AbstractWsResourceCapability
`createGettersAndSetters, deleteProperty, getGetter, getProperty, getPropertyElements, getSetter, getWsResource, insertProperty, invokeMethod, setResource, updateProperty`

Methods inherited from class org.apache.muse.core.AbstractCapability
`getActions, getCapabilityURI, getEnvironment, getInitializationParameter, getInitializationParameters, getLog, getMessageHandler, getPersistence, getResource, hasBeenInitialized, hasBeenShutdown, prepareShutdown, setCapabilityURI, setEnvironment, setInitializationParameters, setLog, setMessageHandler, setMessageHandlers, setPersistence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.muse.ws.resource.WsResourceCapability
`deleteProperty, getProperty, getWsResource, insertProperty, updateProperty`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown`

Constructor Detail

### SimpleMetrics

    public SimpleMetrics()

Method Detail

### getCurrentTime

    public java.util.Date getCurrentTime()

  Specified by:
    `getCurrentTime` in interface `Metrics`
  Returns:
    The current time, according to the resource or its manager.

### getMetric

    public Metric getMetric(QName propertyQName)

  Specified by:
    `getMetric` in interface `Metrics`
  Parameters:
    `propertyQName` - The name of the property that is also defined as a metric.
  Returns:
    The collection of metric metadata for the property, or null if the property does not exist.

### getPropertyNames

    public QName[] getPropertyNames()

  Description copied from interface: `org.apache.muse.ws.resource.WsResourceCapabilityProperties`
  Concrete capability classes that define properties MUST override this method and provide the names of the properties.

  Specified by:
    `getPropertyNames` in interface `org.apache.muse.ws.resource.WsResourceCapabilityProperties`
  Overrides:
    `getPropertyNames` in class `AbstractWsResourceCapability`

### initialize

    public void initialize()
                    throws SoapFault

  Description copied from class: `AbstractWsResourceCapability`
  AbstractWsResourceCapability continues the initialization process by inspecting the concrete class to find all of the getters (and, if applicable, setters) for its resource properties. It then registers itself with the resource's WSRP collection so that read and write requests for its properties are delegated to it.

  Specified by:
    `initialize` in interface `Initialization`
  Overrides:
    `initialize` in class `AbstractWsResourceCapability`
  Throws:
    `SoapFault`

### shutdown

    public void shutdown()
                  throws SoapFault

  Specified by:
    `shutdown` in interface `Shutdown`
  Overrides:
    `shutdown` in class `AbstractCapability`
  Throws:
    `SoapFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD